Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.plot
Class SimpleCurveFactory

    java.lang.Object
      jcckit.plot.SimpleCurveFactory

All Implemented Interfaces:
  CurveFactory

public class SimpleCurveFactory
extends java.lang.Object
implements CurveFactory

Factory for `SimpleCurves`.

Author:
  Franz-Josef Elmer

Field Summary
`static java.lang.String` | `DEFINITIONS_KEY` Configuration parameter key.

Constructor Summary
`SimpleCurveFactory(ConfigParameters config)` Creates an instance from the specified configuration parameter.

Method Summary
`Curve` | `create(int curveIndex, int numberOfCurves, ClippingShape clippingShape, Legend legend)` Creates an instance of `SimpleCurve`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFINITIONS_KEY

    public static final java.lang.String DEFINITIONS_KEY

  Configuration parameter key.

  See Also:
    Constant Field Values

Constructor Detail

### SimpleCurveFactory

    public SimpleCurveFactory(ConfigParameters config)

  Creates an instance from the specified configuration parameter.

  Key & Default Value | Type | Mandatory | Description
  --- | --- | --- | ---
  `definitions =` one empty `ConfigParameters`instance`` | `String[]` | no | Keys of subtrees defining `ConfigParameters` used by the `constructor` of `SimpleCurve`.

Method Detail

### create

    public Curve create(int curveIndex,
                        int numberOfCurves,
                        ClippingShape clippingShape,
                        Legend legend)

  Creates an instance of `SimpleCurve`.

  Specified by:
    `create` in interface `CurveFactory`
  Parameters:
    `curveIndex` - Index of the curve. Will be used to select the `ConfigParameters` object and the line attributes. In addition it will be used to calculate the y-coordinate of the legend symbol.
    `numberOfCurves` - Number of curves. Will be needed to calculate the y-coordinate of the legend symbol.
    `clippingShape` - The clipping shape.
    `legend` - The legend. Will be needed to create the legend symbol.
  Returns:
    an empty instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD